Bug 978569 - (netCDF-Java) Review Request: thredds - THREDDS Data Server (TDS)
Review Request: thredds - THREDDS Data Server (TDS)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
:
Depends On: je
Blocks: 1019650
  Show dependency treegraph
 
Reported: 2013-06-26 16:06 EDT by gil cattaneo
Modified: 2013-11-16 01:59 EST (History)
3 users (show)

See Also:
Fixed In Version: thredds-4.3.19-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 19:40:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-06-26 16:06:42 EDT
Spec URL: http://gil.fedorapeople.org/thredds.spec
SRPM URL: http://gil.fedorapeople.org/thredds-4.3.16-1.fc18.src.rpm

Description:
The Unidata THREDDS project includes the netCDF-Java library (aka CDM) and
the THREDDS Data Server (TDS).

Fedora Account System Username: gil
Comment 2 gil cattaneo 2013-09-16 02:25:06 EDT
Spec URL: http://gil.fedorapeople.org/thredds.spec
SRPM URL: http://gil.fedorapeople.org/thredds-4.3.18-1.fc19.src.rpm

- update to 4.3.18
Comment 4 Björn 'besser82' Esser 2013-10-16 14:15:19 EDT
taken  ;)
Comment 5 Björn 'besser82' Esser 2013-10-19 05:14:31 EDT
Package has some issues or needs some clarification.  :(

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "BSD (3 clause)", "Apache (v2.0)
     BSD", "BSD", "BSD (2 clause)". 157 files have unknown license. Detailed
     output of licensecheck in
     /home/besser82/shared/fedora/review/978569-thredds/licensecheck.txt

     ---> There are some licenses mentioned which don't appear to
          be used somewhere?!?

[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java/thredds

     ---> please make that owned by the applicable pkg(s).

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/doc/udunits(udunits2,
     udunits)

     ---> Is this intentional and causes no conflicts?!?
          Or are there some (hidden) bundlings?!?

[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[?]: Package contains systemd file(s) if in need.

     ---> Shouldn't there be a systemd-unit, since this is a server
          of some kind?!?

[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 5 files.
[!]: Package complies to the Packaging Guidelines

     ---> Issues present or clarification needed.

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in netcdf-java
     , udunits , thredds-javadoc

     ---> False positive.  Packages can be used independently.

[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.

     ---> Why did you disable the testsuite?!?

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: thredds-4.3.19-1.fc21.noarch.rpm
          netcdf-java-4.3.19-1.fc21.noarch.rpm
          udunits-4.3.19-1.fc21.noarch.rpm
          thredds-javadoc-4.3.19-1.fc21.noarch.rpm
          thredds-4.3.19-1.fc21.src.rpm
netcdf-java.noarch: W: name-repeated-in-summary C NetCDF-Java
udunits.noarch: W: spelling-error %description -l en_US ucar -> car, scar, u car
thredds.src: W: invalid-url Source0: thredds-4.3.19-clean.tar.xz
5 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint netcdf-java thredds thredds-javadoc udunits
netcdf-java.noarch: W: name-repeated-in-summary C NetCDF-Java
udunits.noarch: W: spelling-error %description -l en_US ucar -> car, scar, u car
4 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
netcdf-java (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(com.google.protobuf:protobuf-java)
    mvn(com.sleepycat:je)
    mvn(edu.ucar:udunits)
    mvn(joda-time:joda-time)
    mvn(net.java.dev.jna:jna)
    mvn(net.jcip:jcip-annotations)
    mvn(net.sf.ehcache:ehcache-core)
    mvn(org.apache.httpcomponents:httpclient)
    mvn(org.apache.httpcomponents:httpcore)
    mvn(org.apache.httpcomponents:httpmime)
    mvn(org.jdom:jdom2)
    mvn(org.quartz-scheduler:quartz)
    mvn(org.slf4j:jcl-over-slf4j)
    mvn(org.slf4j:slf4j-api)

thredds (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(junit:junit)

thredds-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

udunits (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
netcdf-java:
    mvn(edu.ucar:netcdf)
    netcdf-java

thredds:
    mvn(edu.ucar:thredds-parent)
    mvn(edu.ucar:thredds-parent:pom:)
    thredds

thredds-javadoc:
    thredds-javadoc

udunits:
    mvn(edu.ucar:udunits)
    udunits



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 978569
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

Please fix the issues and clarify my questions.  I'll take another run afterwards.
Comment 6 gil cattaneo 2013-10-19 08:02:16 EDT
(In reply to Björn "besser82" Esser from comment #5)
> Package has some issues or needs some clarification.  :(
>
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "Apache (v2.0)", "Unknown or generated", "BSD (3 clause)", "Apache
> (v2.0)
>      BSD", "BSD", "BSD (2 clause)". 157 files have unknown license. Detailed
>      output of licensecheck in
>      /home/besser82/shared/fedora/review/978569-thredds/licensecheck.txt
> 
>      ---> There are some licenses mentioned which don't appear to
>           be used somewhere?!?
> 

yes but now i forgotten this
changed field as
License:       ASL 2.0 and BSD

> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/java/thredds
> 
>      ---> please make that owned by the applicable pkg(s).

sorry, not enough?
%files -f .mfiles-%{name}-parent
%dir %{_javadir}/%{name}
%doc README.md cdm/license.txt

> [!]: Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by:
> /usr/share/doc/udunits(udunits2,
>      udunits)
> 
>      ---> Is this intentional and causes no conflicts?!?
>           Or are there some (hidden) bundlings?!?

no this a Java "port" of netcdf and udunits and this modules dont have bundled libraries
(udunits2 is a C library)

> [?]: Package contains no bundled libraries without FPC exception.
no these basic modules haven't this problem, you are aware of the contrary?

> [?]: Package contains systemd file(s) if in need.
> 
>      ---> Shouldn't there be a systemd-unit, since this is a server
>           of some kind?!?
no at the moment have a lot of missing build deps for build the main (tds) and others required modules  which use hard customized libraries such as (for e.g.):
opendap (from http://www.opendap.org/ but for the project the original source code is unusable, and use an old version 0.0.7)

and the original source archive has a weight around 340M

> [!]: Package complies to the Packaging Guidelines
> 
>      ---> Issues present or clarification needed.

sorry i not understand which is the problem?

> 
>      ---> Why did you disable the testsuite?!?

test suite isnt disable, for run need to build other modules:
cdm-test
it
and these ones, at the moment, have not build deps,
as e.g. edu.wisc.ssec:visad (i m not sure which this library is free/open sources)

> 
> Please fix the issues and clarify my questions.  I'll take another run
> afterwards.

Spec URL: http://gil.fedorapeople.org/thredds.spec
SRPM URL: http://gil.fedorapeople.org/thredds-4.3.19-2.fc19.src.rpm
Comment 7 Björn 'besser82' Esser 2013-10-19 09:36:57 EDT
Thanks for the carification, Gil!

Package still has one issue.  :(

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "BSD (3 clause)", "Apache (v2.0)
     BSD", "BSD", "BSD (2 clause)". 157 files have unknown license. Detailed
     output of licensecheck in
     /home/besser82/shared/fedora/review/978569-thredds/licensecheck.txt

     ---> License-tag is fine.  :)

[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java/thredds

     ---> double-check if this dir is owned by the applicable rpms.

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/doc/udunits(udunits2,
     udunits)

     ---> there are conflicts with:

          udunits.i686      1.12.11-10.fc20   fedora
          udunits.x86_64    1.12.11-10.fc20   fedora
          udunits2.i686     2.1.24-5.fc20     fedora
          udunits2.x86_64   2.1.24-5.fc20     fedora

          I'd recommend renaming udunits ---> java-udunits.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.

     ---> see above.

[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 5 files.
[!]: Package complies to the Packaging Guidelines

     ---> issues are present.  :(

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in netcdf-java
     , udunits , thredds-javadoc

     ---> false positives.  Those packages are to be used idependently
          from main package, too.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

     ---> testsuite needs additional compenents to be build,
          which are WIP.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: thredds-4.3.19-2.fc21.noarch.rpm
          netcdf-java-4.3.19-2.fc21.noarch.rpm
          udunits-4.3.19-2.fc21.noarch.rpm
          thredds-javadoc-4.3.19-2.fc21.noarch.rpm
          thredds-4.3.19-2.fc21.src.rpm
netcdf-java.noarch: W: name-repeated-in-summary C NetCDF-Java
udunits.noarch: W: spelling-error %description -l en_US ucar -> car, scar, u car
thredds.src: W: invalid-url Source0: thredds-4.3.19-clean.tar.xz
5 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint netcdf-java thredds thredds-javadoc udunits
netcdf-java.noarch: W: name-repeated-in-summary C NetCDF-Java
udunits.noarch: W: spelling-error %description -l en_US ucar -> car, scar, u car
4 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
netcdf-java (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(com.google.protobuf:protobuf-java)
    mvn(com.sleepycat:je)
    mvn(edu.ucar:udunits)
    mvn(joda-time:joda-time)
    mvn(net.java.dev.jna:jna)
    mvn(net.jcip:jcip-annotations)
    mvn(net.sf.ehcache:ehcache-core)
    mvn(org.apache.httpcomponents:httpclient)
    mvn(org.apache.httpcomponents:httpcore)
    mvn(org.apache.httpcomponents:httpmime)
    mvn(org.jdom:jdom2)
    mvn(org.quartz-scheduler:quartz)
    mvn(org.slf4j:jcl-over-slf4j)
    mvn(org.slf4j:slf4j-api)

thredds (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(junit:junit)

thredds-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

udunits (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
netcdf-java:
    mvn(edu.ucar:netcdf)
    netcdf-java

thredds:
    mvn(edu.ucar:thredds-parent)
    mvn(edu.ucar:thredds-parent:pom:)
    thredds

thredds-javadoc:
    thredds-javadoc

udunits:
    mvn(edu.ucar:udunits)
    udunits



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 978569
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

Please rename `udunits`  ---> `java-udunits` to resolve the conflict and I'll approve.
Comment 8 gil cattaneo 2013-10-19 10:13:24 EDT
Thanks!

Spec URL: http://gil.fedorapeople.org/thredds.spec
SRPM URL: http://gil.fedorapeople.org/thredds-4.3.19-3.fc19.src.rpm

- renamed sub package udunits
- preserved timestamp of file istalled manually
Comment 9 Björn 'besser82' Esser 2013-10-19 10:27:20 EDT
Package LGTM, now.  :)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "BSD (3 clause)", "Apache (v2.0)
     BSD", "BSD", "BSD (2 clause)". 157 files have unknown license. Detailed
     output of licensecheck in
     /home/besser82/shared/fedora/review/978569-thredds/licensecheck.txt

     ---> License-tag is fine.  :)

[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java/thredds

     ---> make sure to double-check this dir is owned by the applicable
          (sub-)packages.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in netcdf-java
     , java-udunits , thredds-javadoc

     ---> These pkgs can be used independently from main-pkg.  docs should be
          independent from binaries, too.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

     ---> testsuite needs binaries which are WIP, currently.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: thredds-4.3.19-3.fc21.noarch.rpm
          netcdf-java-4.3.19-3.fc21.noarch.rpm
          java-udunits-4.3.19-3.fc21.noarch.rpm
          thredds-javadoc-4.3.19-3.fc21.noarch.rpm
          thredds-4.3.19-3.fc21.src.rpm
java-udunits.noarch: W: spelling-error %description -l en_US ucar -> car, scar, u car
thredds.src: W: invalid-url Source0: thredds-4.3.19-clean.tar.xz
5 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint netcdf-java thredds thredds-javadoc java-udunits
java-udunits.noarch: W: spelling-error %description -l en_US ucar -> car, scar, u car
4 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
netcdf-java (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(com.google.protobuf:protobuf-java)
    mvn(com.sleepycat:je)
    mvn(edu.ucar:udunits)
    mvn(joda-time:joda-time)
    mvn(net.java.dev.jna:jna)
    mvn(net.jcip:jcip-annotations)
    mvn(net.sf.ehcache:ehcache-core)
    mvn(org.apache.httpcomponents:httpclient)
    mvn(org.apache.httpcomponents:httpcore)
    mvn(org.apache.httpcomponents:httpmime)
    mvn(org.jdom:jdom2)
    mvn(org.quartz-scheduler:quartz)
    mvn(org.slf4j:jcl-over-slf4j)
    mvn(org.slf4j:slf4j-api)

thredds (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(junit:junit)

thredds-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

java-udunits (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
netcdf-java:
    mvn(edu.ucar:netcdf)
    netcdf-java

thredds:
    mvn(edu.ucar:thredds-parent)
    mvn(edu.ucar:thredds-parent:pom:)
    thredds

thredds-javadoc:
    thredds-javadoc

java-udunits:
    java-udunits
    mvn(edu.ucar:udunits)



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 978569
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

APPROVED!!!
Comment 10 gil cattaneo 2013-10-19 10:31:11 EDT
Thanks!

New Package SCM Request
=======================
Package Name: thredds
Short Description: Thematic Realtime Environmental Distributed Data Services (TDS)
Owners: gil
Branches: f19 f20
InitialCC: java-sig
Comment 11 Gwyn Ciesla 2013-10-19 17:09:29 EDT
Git done (by process-git-requests).
Comment 12 gil cattaneo 2013-10-19 17:10:46 EDT
Thanks!
Comment 13 Fedora Update System 2013-11-06 15:21:35 EST
thredds-4.3.19-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/thredds-4.3.19-4.fc19
Comment 14 Fedora Update System 2013-11-06 17:18:40 EST
thredds-4.3.19-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/thredds-4.3.19-5.fc20
Comment 15 Fedora Update System 2013-11-07 14:05:27 EST
thredds-4.3.19-5.fc20 has been pushed to the Fedora 20 testing repository.
Comment 16 Fedora Update System 2013-11-11 19:40:10 EST
thredds-4.3.19-5.fc20 has been pushed to the Fedora 20 stable repository.
Comment 17 Fedora Update System 2013-11-16 01:59:22 EST
thredds-4.3.19-4.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.